<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.6.0_35) on Sun Jan 20 22:42:02 CET 2013 -->
<META http-equiv="Content-Type" content="text/html; charset=UTF-8">
<TITLE>
Index (Fluent HttpClient 4.3-alpha1 API)
</TITLE>

<META NAME="date" CONTENT="2013-01-20">

<LINK REL ="stylesheet" TYPE="text/css" HREF="./stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Index (Fluent HttpClient 4.3-alpha1 API)";
    }
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">
<HR>


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="./org/apache/http/client/fluent/package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="./org/apache/http/client/fluent/package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="./deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="./help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="./index.html?index-all.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-all.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="./allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="./allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<A HREF="#_A_">A</A> <A HREF="#_B_">B</A> <A HREF="#_C_">C</A> <A HREF="#_D_">D</A> <A HREF="#_E_">E</A> <A HREF="#_F_">F</A> <A HREF="#_G_">G</A> <A HREF="#_H_">H</A> <A HREF="#_N_">N</A> <A HREF="#_O_">O</A> <A HREF="#_P_">P</A> <A HREF="#_R_">R</A> <A HREF="#_S_">S</A> <A HREF="#_T_">T</A> <A HREF="#_U_">U</A> <A HREF="#_V_">V</A> <HR>
<A NAME="_A_"><!-- --></A><H2>
<B>A</B></H2>
<DL>
<DT><A HREF="./org/apache/http/client/fluent/Request.html#abort()"><B>abort()</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Form.html#add(java.lang.String, java.lang.String)"><B>add(String, String)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Form.html" title="class in org.apache.http.client.fluent">Form</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#addHeader(org.apache.http.Header)"><B>addHeader(Header)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#addHeader(java.lang.String, java.lang.String)"><B>addHeader(String, String)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Content.html#asBytes()"><B>asBytes()</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Content.html" title="class in org.apache.http.client.fluent">Content</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Content.html#asStream()"><B>asStream()</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Content.html" title="class in org.apache.http.client.fluent">Content</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Content.html#asString()"><B>asString()</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Content.html" title="class in org.apache.http.client.fluent">Content</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Async.html" title="class in org.apache.http.client.fluent"><B>Async</B></A> - Class in <A HREF="./org/apache/http/client/fluent/package-summary.html">org.apache.http.client.fluent</A><DD>&nbsp;<DT><A HREF="./org/apache/http/client/fluent/Executor.html#auth(org.apache.http.auth.AuthScope, org.apache.http.auth.Credentials)"><B>auth(AuthScope, Credentials)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Executor.html" title="class in org.apache.http.client.fluent">Executor</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Executor.html#auth(org.apache.http.HttpHost, org.apache.http.auth.Credentials)"><B>auth(HttpHost, Credentials)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Executor.html" title="class in org.apache.http.client.fluent">Executor</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Executor.html#auth(org.apache.http.auth.Credentials)"><B>auth(Credentials)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Executor.html" title="class in org.apache.http.client.fluent">Executor</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Executor.html#auth(java.lang.String, java.lang.String)"><B>auth(String, String)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Executor.html" title="class in org.apache.http.client.fluent">Executor</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Executor.html#auth(java.lang.String, java.lang.String, java.lang.String, java.lang.String)"><B>auth(String, String, String, String)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Executor.html" title="class in org.apache.http.client.fluent">Executor</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Executor.html#auth(org.apache.http.HttpHost, java.lang.String, java.lang.String)"><B>auth(HttpHost, String, String)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Executor.html" title="class in org.apache.http.client.fluent">Executor</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Executor.html#auth(org.apache.http.HttpHost, java.lang.String, java.lang.String, java.lang.String, java.lang.String)"><B>auth(HttpHost, String, String, String, String)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Executor.html" title="class in org.apache.http.client.fluent">Executor</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Executor.html#authPreemptive(org.apache.http.HttpHost)"><B>authPreemptive(HttpHost)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Executor.html" title="class in org.apache.http.client.fluent">Executor</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Executor.html#authPreemptiveProxy(org.apache.http.HttpHost)"><B>authPreemptiveProxy(HttpHost)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Executor.html" title="class in org.apache.http.client.fluent">Executor</A>
<DD>&nbsp;
</DL>
<HR>
<A NAME="_B_"><!-- --></A><H2>
<B>B</B></H2>
<DL>
<DT><A HREF="./org/apache/http/client/fluent/Request.html#body(org.apache.http.HttpEntity)"><B>body(HttpEntity)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#bodyByteArray(byte[])"><B>bodyByteArray(byte[])</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#bodyByteArray(byte[], int, int)"><B>bodyByteArray(byte[], int, int)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#bodyFile(java.io.File, org.apache.http.entity.ContentType)"><B>bodyFile(File, ContentType)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#bodyForm(java.lang.Iterable, java.nio.charset.Charset)"><B>bodyForm(Iterable&lt;? extends NameValuePair&gt;, Charset)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#bodyForm(java.lang.Iterable)"><B>bodyForm(Iterable&lt;? extends NameValuePair&gt;)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#bodyForm(org.apache.http.NameValuePair...)"><B>bodyForm(NameValuePair...)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#bodyStream(java.io.InputStream)"><B>bodyStream(InputStream)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#bodyStream(java.io.InputStream, org.apache.http.entity.ContentType)"><B>bodyStream(InputStream, ContentType)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#bodyString(java.lang.String, org.apache.http.entity.ContentType)"><B>bodyString(String, ContentType)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Form.html#build()"><B>build()</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Form.html" title="class in org.apache.http.client.fluent">Form</A>
<DD>&nbsp;
</DL>
<HR>
<A NAME="_C_"><!-- --></A><H2>
<B>C</B></H2>
<DL>
<DT><A HREF="./org/apache/http/client/fluent/Executor.html#clearAuth()"><B>clearAuth()</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Executor.html" title="class in org.apache.http.client.fluent">Executor</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Executor.html#clearCookies()"><B>clearCookies()</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Executor.html" title="class in org.apache.http.client.fluent">Executor</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#config(java.lang.String, java.lang.Object)"><B>config(String, Object)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD><B>Deprecated.</B>&nbsp;<I>(4.3)</I>
<DT><A HREF="./org/apache/http/client/fluent/Request.html#connectTimeout(int)"><B>connectTimeout(int)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Content.html" title="class in org.apache.http.client.fluent"><B>Content</B></A> - Class in <A HREF="./org/apache/http/client/fluent/package-summary.html">org.apache.http.client.fluent</A><DD>&nbsp;<DT><A HREF="./org/apache/http/client/fluent/Executor.html#cookieStore(org.apache.http.client.CookieStore)"><B>cookieStore(CookieStore)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Executor.html" title="class in org.apache.http.client.fluent">Executor</A>
<DD>&nbsp;
</DL>
<HR>
<A NAME="_D_"><!-- --></A><H2>
<B>D</B></H2>
<DL>
<DT><A HREF="./org/apache/http/client/fluent/Request.html#DATE_FORMAT"><B>DATE_FORMAT</B></A> - 
Static variable in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#DATE_LOCALE"><B>DATE_LOCALE</B></A> - 
Static variable in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#Delete(java.net.URI)"><B>Delete(URI)</B></A> - 
Static method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#Delete(java.lang.String)"><B>Delete(String)</B></A> - 
Static method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Response.html#discardContent()"><B>discardContent()</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Response.html" title="class in org.apache.http.client.fluent">Response</A>
<DD>Discards response content and deallocates all resources associated with it.
</DL>
<HR>
<A NAME="_E_"><!-- --></A><H2>
<B>E</B></H2>
<DL>
<DT><A HREF="./org/apache/http/client/fluent/Request.html#elementCharset(java.lang.String)"><B>elementCharset(String)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Async.html#execute(org.apache.http.client.fluent.Request, org.apache.http.client.ResponseHandler, org.apache.http.concurrent.FutureCallback)"><B>execute(Request, ResponseHandler&lt;T&gt;, FutureCallback&lt;T&gt;)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Async.html" title="class in org.apache.http.client.fluent">Async</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Async.html#execute(org.apache.http.client.fluent.Request, org.apache.http.client.ResponseHandler)"><B>execute(Request, ResponseHandler&lt;T&gt;)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Async.html" title="class in org.apache.http.client.fluent">Async</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Async.html#execute(org.apache.http.client.fluent.Request, org.apache.http.concurrent.FutureCallback)"><B>execute(Request, FutureCallback&lt;Content&gt;)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Async.html" title="class in org.apache.http.client.fluent">Async</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Async.html#execute(org.apache.http.client.fluent.Request)"><B>execute(Request)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Async.html" title="class in org.apache.http.client.fluent">Async</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Executor.html#execute(org.apache.http.client.fluent.Request)"><B>execute(Request)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Executor.html" title="class in org.apache.http.client.fluent">Executor</A>
<DD>Executes the request.
<DT><A HREF="./org/apache/http/client/fluent/Request.html#execute()"><B>execute()</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Executor.html" title="class in org.apache.http.client.fluent"><B>Executor</B></A> - Class in <A HREF="./org/apache/http/client/fluent/package-summary.html">org.apache.http.client.fluent</A><DD>An Executor for fluent requests
 <p/>
 A <A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/impl/conn/PoolingHttpClientConnectionManager.html?is-external=true" title="class or interface in org.apache.http.impl.conn"><CODE>PoolingHttpClientConnectionManager</CODE></A> with maximum 100 connections per route and
 a total maximum of 200 connections is used internally.</DL>
<HR>
<A NAME="_F_"><!-- --></A><H2>
<B>F</B></H2>
<DL>
<DT><A HREF="./org/apache/http/client/fluent/Form.html" title="class in org.apache.http.client.fluent"><B>Form</B></A> - Class in <A HREF="./org/apache/http/client/fluent/package-summary.html">org.apache.http.client.fluent</A><DD>&nbsp;<DT><A HREF="./org/apache/http/client/fluent/Form.html#form()"><B>form()</B></A> - 
Static method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Form.html" title="class in org.apache.http.client.fluent">Form</A>
<DD>&nbsp;
</DL>
<HR>
<A NAME="_G_"><!-- --></A><H2>
<B>G</B></H2>
<DL>
<DT><A HREF="./org/apache/http/client/fluent/Request.html#Get(java.net.URI)"><B>Get(URI)</B></A> - 
Static method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#Get(java.lang.String)"><B>Get(String)</B></A> - 
Static method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Content.html#getType()"><B>getType()</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Content.html" title="class in org.apache.http.client.fluent">Content</A>
<DD>&nbsp;
</DL>
<HR>
<A NAME="_H_"><!-- --></A><H2>
<B>H</B></H2>
<DL>
<DT><A HREF="./org/apache/http/client/fluent/Response.html#handleResponse(org.apache.http.client.ResponseHandler)"><B>handleResponse(ResponseHandler&lt;T&gt;)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Response.html" title="class in org.apache.http.client.fluent">Response</A>
<DD>Handles the response using the specified <A HREF="http://hc.apache.org/httpcomponents-client-ga/httpclient/apidocs/org/apache/http/client/ResponseHandler.html?is-external=true" title="class or interface in org.apache.http.client"><CODE>ResponseHandler</CODE></A>
<DT><A HREF="./org/apache/http/client/fluent/Request.html#Head(java.net.URI)"><B>Head(URI)</B></A> - 
Static method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#Head(java.lang.String)"><B>Head(String)</B></A> - 
Static method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
</DL>
<HR>
<A NAME="_N_"><!-- --></A><H2>
<B>N</B></H2>
<DL>
<DT><A HREF="./org/apache/http/client/fluent/Async.html#newInstance()"><B>newInstance()</B></A> - 
Static method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Async.html" title="class in org.apache.http.client.fluent">Async</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Executor.html#newInstance()"><B>newInstance()</B></A> - 
Static method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Executor.html" title="class in org.apache.http.client.fluent">Executor</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Executor.html#newInstance(org.apache.http.client.HttpClient)"><B>newInstance(HttpClient)</B></A> - 
Static method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Executor.html" title="class in org.apache.http.client.fluent">Executor</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Content.html#NO_CONTENT"><B>NO_CONTENT</B></A> - 
Static variable in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Content.html" title="class in org.apache.http.client.fluent">Content</A>
<DD>&nbsp;
</DL>
<HR>
<A NAME="_O_"><!-- --></A><H2>
<B>O</B></H2>
<DL>
<DT><A HREF="./org/apache/http/client/fluent/Request.html#Options(java.net.URI)"><B>Options(URI)</B></A> - 
Static method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#Options(java.lang.String)"><B>Options(String)</B></A> - 
Static method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/package-summary.html"><B>org.apache.http.client.fluent</B></A> - package org.apache.http.client.fluent<DD>&nbsp;</DL>
<HR>
<A NAME="_P_"><!-- --></A><H2>
<B>P</B></H2>
<DL>
<DT><A HREF="./org/apache/http/client/fluent/Request.html#Post(java.net.URI)"><B>Post(URI)</B></A> - 
Static method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#Post(java.lang.String)"><B>Post(String)</B></A> - 
Static method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#Put(java.net.URI)"><B>Put(URI)</B></A> - 
Static method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#Put(java.lang.String)"><B>Put(String)</B></A> - 
Static method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
</DL>
<HR>
<A NAME="_R_"><!-- --></A><H2>
<B>R</B></H2>
<DL>
<DT><A HREF="./org/apache/http/client/fluent/Executor.html#registerScheme(org.apache.http.conn.scheme.Scheme)"><B>registerScheme(Scheme)</B></A> - 
Static method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Executor.html" title="class in org.apache.http.client.fluent">Executor</A>
<DD><B>Deprecated.</B>&nbsp;<I>(4.3) do not use.</I>
<DT><A HREF="./org/apache/http/client/fluent/Request.html#removeConfig(java.lang.String)"><B>removeConfig(String)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD><B>Deprecated.</B>&nbsp;<I>(4.3)</I>
<DT><A HREF="./org/apache/http/client/fluent/Request.html#removeHeader(org.apache.http.Header)"><B>removeHeader(Header)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#removeHeaders(java.lang.String)"><B>removeHeaders(String)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent"><B>Request</B></A> - Class in <A HREF="./org/apache/http/client/fluent/package-summary.html">org.apache.http.client.fluent</A><DD>&nbsp;<DT><A HREF="./org/apache/http/client/fluent/Response.html" title="class in org.apache.http.client.fluent"><B>Response</B></A> - Class in <A HREF="./org/apache/http/client/fluent/package-summary.html">org.apache.http.client.fluent</A><DD>&nbsp;<DT><A HREF="./org/apache/http/client/fluent/Response.html#returnContent()"><B>returnContent()</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Response.html" title="class in org.apache.http.client.fluent">Response</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Response.html#returnResponse()"><B>returnResponse()</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Response.html" title="class in org.apache.http.client.fluent">Response</A>
<DD>&nbsp;
</DL>
<HR>
<A NAME="_S_"><!-- --></A><H2>
<B>S</B></H2>
<DL>
<DT><A HREF="./org/apache/http/client/fluent/Response.html#saveContent(java.io.File)"><B>saveContent(File)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Response.html" title="class in org.apache.http.client.fluent">Response</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#setCacheControl(java.lang.String)"><B>setCacheControl(String)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#setDate(java.util.Date)"><B>setDate(Date)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#setHeaders(org.apache.http.Header[])"><B>setHeaders(Header[])</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#setIfModifiedSince(java.util.Date)"><B>setIfModifiedSince(Date)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#setIfUnmodifiedSince(java.util.Date)"><B>setIfUnmodifiedSince(Date)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#socketTimeout(int)"><B>socketTimeout(int)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#staleConnectionCheck(boolean)"><B>staleConnectionCheck(boolean)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
</DL>
<HR>
<A NAME="_T_"><!-- --></A><H2>
<B>T</B></H2>
<DL>
<DT><A HREF="./org/apache/http/client/fluent/Request.html#TIME_ZONE"><B>TIME_ZONE</B></A> - 
Static variable in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Content.html#toString()"><B>toString()</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Content.html" title="class in org.apache.http.client.fluent">Content</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#toString()"><B>toString()</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#Trace(java.net.URI)"><B>Trace(URI)</B></A> - 
Static method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#Trace(java.lang.String)"><B>Trace(String)</B></A> - 
Static method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
</DL>
<HR>
<A NAME="_U_"><!-- --></A><H2>
<B>U</B></H2>
<DL>
<DT><A HREF="./org/apache/http/client/fluent/Executor.html#unregisterScheme(java.lang.String)"><B>unregisterScheme(String)</B></A> - 
Static method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Executor.html" title="class in org.apache.http.client.fluent">Executor</A>
<DD><B>Deprecated.</B>&nbsp;<I>(4.3) do not use.</I>
<DT><A HREF="./org/apache/http/client/fluent/Async.html#use(org.apache.http.client.fluent.Executor)"><B>use(Executor)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Async.html" title="class in org.apache.http.client.fluent">Async</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Async.html#use(java.util.concurrent.Executor)"><B>use(Executor)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Async.html" title="class in org.apache.http.client.fluent">Async</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#useExpectContinue()"><B>useExpectContinue()</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#userAgent(java.lang.String)"><B>userAgent(String)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
</DL>
<HR>
<A NAME="_V_"><!-- --></A><H2>
<B>V</B></H2>
<DL>
<DT><A HREF="./org/apache/http/client/fluent/Request.html#version(org.apache.http.HttpVersion)"><B>version(HttpVersion)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
<DT><A HREF="./org/apache/http/client/fluent/Request.html#viaProxy(org.apache.http.HttpHost)"><B>viaProxy(HttpHost)</B></A> - 
Method in class org.apache.http.client.fluent.<A HREF="./org/apache/http/client/fluent/Request.html" title="class in org.apache.http.client.fluent">Request</A>
<DD>&nbsp;
</DL>
<HR>
<A HREF="#_A_">A</A> <A HREF="#_B_">B</A> <A HREF="#_C_">C</A> <A HREF="#_D_">D</A> <A HREF="#_E_">E</A> <A HREF="#_F_">F</A> <A HREF="#_G_">G</A> <A HREF="#_H_">H</A> <A HREF="#_N_">N</A> <A HREF="#_O_">O</A> <A HREF="#_P_">P</A> <A HREF="#_R_">R</A> <A HREF="#_S_">S</A> <A HREF="#_T_">T</A> <A HREF="#_U_">U</A> <A HREF="#_V_">V</A> 

<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="./org/apache/http/client/fluent/package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="./org/apache/http/client/fluent/package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="./deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Index</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="./help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="./index.html?index-all.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="index-all.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="./allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="./allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>
Copyright &#169; 2011-2013 <a href="http://www.apache.org/">The Apache Software Foundation</a>. All Rights Reserved.
</BODY>
</HTML>
